/**
 * Factory.java
 * eTaras.com, Copyright 2005
 */

package com.etaras.rapc.example;

/**
 * Factory.
 */
public class Factory {

        private static Factory factory = null;

        private Factory() {
        }

        /**
         * @return Factory instance
         */
        public static synchronized Factory getInstance() {
                if(factory == null) {
                        factory = new Factory();
                }
                return factory;
        }

        /**
         * @return new instance of StringProvider
         */
        public StringProvider createStringProvider() {
                return new StringProviderImpl();
        }
}
